#include <sys/types.h>
#include <sys/time.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <errno.h>
#include <fcntl.h>
#include <signal.h>
#include <unistd.h>
#include <string.h>

#define PORT_RM 3000   // port de rception de message
#define PORT_DC 3001   // port de demande de connexion
#define TAILLE_MAX 4000   // taille maximale du contenu des messages

/* dfinition des types de messages */
#define C_CLIENT 1      // demande de connexion du rcepteur
#define D_CLIENT 2      // demande de dconnexion du rcepteur
#define M_DCLIENT 3     // message de l'metteur
#define D_DCLIENT 4     // demande de dconnexion de l'metteur
#define D_SERVEUR 5     // dconnexion du serveur
#define INFO_SERVEUR 6  // information sur le serveur
#define INFO_DCLIENT 7  // information sur l'metteur

typedef struct MESSAGE_STRUCT
{
  int type;   // type du message
  char mess[TAILLE_MAX]; // contenu du message
} t_message;

t_message message;

/* emettre_message : fonction permettant d'envoyer un message  un rcepteur */
void emettre_message(int client)
{
  if (write(client,&message,sizeof(message))==-1)
  {
    perror("Erreur write : ");
    exit(1);
  }
}
